<?php
/**
 * @version $Id: announcement.php v2.0 $
 * @package PBDigg
 * @copyright Copyright (C) 2007 - 2008 PBDigg.com. All Rights Reserved.
 * @license PBDigg is free software and use is subject to license terms
 */

define('PB_CSCRIPT', 'announcement');
require_once('include/common.inc.php');

if ($customer['groupid'] == '5')
{
	$TPL->caching = 2;
	$TPL->cache_lifetime = 3600;
}

if (!$TPL->is_cached('announcement.html'))
{
	if (!@include_once(PBDIGG_ROOT.'data/cache/cache_announcements.php'))
	{
		$Cache->setCacheList('announce');
		if ($Cache->refreshCache())
		{
			exit('<p>'.$u_message['cache_load_success'].'</p>');
		}
	}
	$seo['pagetitle'] = $seo['keywords'] = $seo['description'] = $u_message['announcement'];
	$TPL->assign('seo', $seo);
	$TPL->assign('announcement', $announcements);
}

PBOutPut('announcement.html');
?>
